org.apache.fontbox.ttf.table.gsub

## Class AlternateSetTable

- java.lang.Object
- - org.apache.fontbox.ttf.table.gsub.AlternateSetTable

    public class AlternateSetTable
    extends Object

LookupType 3: Alternate Substitution Subtable as described in OpenType spec: ...

### Constructor Summary

Constructors
Constructor and Description
`AlternateSetTable(int glyphCount, int[] alternateGlyphIDs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getAlternateGlyphIDs()`
`int` `getGlyphCount()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlternateSetTable

    public AlternateSetTable(int glyphCount,
                             int[] alternateGlyphIDs)

### Method Detail

#### getGlyphCount

    public int getGlyphCount()

#### getAlternateGlyphIDs

    public int[] getAlternateGlyphIDs()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`